{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Pièce{% endblock %}

{% block body %}
  <div class="row">
    <h1 class="mb-4 display-1">
      <span class="text-muted">Pièce :</span> {{script.title}}
    </h1>

    <div class="accordion mb-4">

      <div class="accordion-item">

        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-infos" aria-controls="collapse-infos">
            Informations
          </button>
        </h2>

        <div id="collapse-infos" class="accordion-collapse collapse show" >
          <div class="accordion-body">
            <ul class="list-group list-group-flush">
              <li class="list-group-item">

                {% if script.subtitle %}
                  <span class="metadata-name">
                    Sous-titre
                  </span> 
                  {{script.subtitle}}<br/>
                {% endif %}

                {% if script.alternativeTitle %}
                  <span class="metadata-name">
                    Titre alternatif
                  </span> 
                  {{script.alternativeTitle}}<br/>
                {% endif %}

                {% if script.alternativeSubtitle %}
                  <span class="metadata-name">
                    Sous-titre alternatif
                  </span> 
                  {{script.alternativeSubtitle}}<br/>
                {% endif %}

                {% if script.genre %}
                  <span class="metadata-name">
                    Genre
                  </span> 
                  <a href="{{ path('scripts_genre', {'genre': script.genre}) }}">
                    {{script.genre}}
                  </a><br/>
                {% endif %}

                {% if script.languages is not empty %}
                  <span class="metadata-name">
                    Langue
                  </span> 
                  {% for language in script.languages %}
                    {{language.name}}
                    {{ not loop.last ? '/' }}
                  {% endfor %}
                  <br/>
                {% endif %}

                {% if script.qualifiers is not empty %}
                  <span class="metadata-name">
                    Qualifiers
                  </span> 
                  {% for qualifier in script.qualifiers %}
                    <a href="{{ path('scripts_qualifier', {'id': qualifier.id}) }}">
                      {{qualifier.name}}
                    </a>
                    {{ not loop.last ? '/' }}
                  {% endfor %}
                  <br/>
                {% endif %}

                {% if script.forms is not empty %}
                  <span class="metadata-name">
                    Forme
                  </span> 
                  {% for form in script.forms %}
                  <a href="{{ path('scripts_form', {'id': form.id}) }}">
                    {{form.name}}
                  </a>
                  {{ not loop.last ? '/' }}
                  {% endfor %}
                  <br/>
                {% endif %}

                  <span class="metadata-name">
                    Première représentation
                  </span> 
                {% if script.performances is not empty %}
                        {% set firstRep = script.performances|sort((a, b) => a.start <=> b.start)|first %}
                        {{interval(firstRep.start, firstRep.end)}}
                {% endif %}

              </li>
            </ul>
          </div>
        </div>
      </div>

      {% if script.creators is not empty %}
      <div class="accordion-item">

        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-creators" aria-controls="collapse-creators">
            Créateur
          </button>
        </h2>

        <div id="collapse-creators" class="accordion-collapse collapse show" >
          <div class="accordion-body">
            <ul class="list-group list-group-flush">
              {% for creator in script.creators %}
              <li class="list-group-item">
                <a href="{{path('person', {id: creator.person.id})}}">{{creator.person.firstname}} {{creator.person.lastname}}</a> ({{creator.activity.name}})
              </li>
              {% endfor %}
            </ul>
          </div>
        </div>

      </div>
      {% endif %}
    
      {% if script.publications is not empty %}
      <div class="accordion-item">
        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-publications" aria-controls="collapse-publications">
            Éditions ({{script.publications|length}})
          </button>
        </h2>
        <div id="collapse-publications" class="accordion-collapse collapse show" >
          <div class="accordion-body">

           <table id="/*datatable*/" class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Édition</th>
                  <th scope="col">Éditeur</th>
                  <th scope="col">Date</th>
                </tr>
              </thead>
              <tbody>

                {% for publication in script.publications|sort((a, b) => a.start <=> b.start) %} 

                  {% if publication.title %}
                      {% set publititle = publication.title  %} 
                  {% elseif publication.alternativeTitle %}
                      {% set publititle = publication.alternativeTitle  %} 
                  {% else %}
                      {% set publititle = script.title %}
                  {% endif %}
                  <tr>
                    <td scope="col">
                        <a href="{{ path('publication', {id: publication.id}) }}">
                          <i> {{publititle}}</i>
                            , {{ interval( publication.start, publication.end) }}, {% for loc in publication.location %}                    
                                    {{loc.name}}{{ not loop.last ? '-' }}
                              {% endfor %}
                          
                        </a> 
                    </td>
                    
                    <td scope="col">
                        {% if publication.publisher %}
                        <a href="{{ path('publisher', {id: publication.publisher.id}) }}">
                          {{publication.publisher.name}}
                        </a>
                        {% else %}
                          -
                        {% endif %}
                    </td>
                    <td scope="col">
                          {{ interval( publication.start, publication.end) }}
                    </td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>

          </div>
        </div>
      {% endif %}



      {% if script.performances is not empty %}

      <div class="accordion-item">

        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-performances" aria-controls="collapse-performances">
            Représentations ({{script.performances|length}})
          </button>
        </h2>

        <div id="collapse-performances" class="accordion-collapse collapse show" >
          <div class="accordion-body">


           <table id="datatable" class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Représentation</th>
                  <th scope="col">Date</th>
                  <th scope="col">Lieu</th>
                </tr>
              </thead>
              <tbody>
                {% for performance in script.performances|sort((a, b) => a.start <=> b.start) %}

                  <tr>
                    <td scope="col">
                        {% include 'performance/externalRef.html.twig' with {'date':'True'} %}
                    </td>
                    <td scope="col">
                        {# <a href="{{ path('dateaccess', {'from': performance.start|date("Y-m-d", false), 'to': performance.end|date("Y-m-d", false)}) }}"> #}
                        {{ interval( performance.start, performance.end) }}
                      {# </a> #}
                    </td>
                    <td scope="col">
                        {% for loc in recursiveIntermediaryParents(performance.location, null) %}                    
                            <a href="{{path('location', {id: loc.id})}}">{{loc.name}}</a> 
                            {{ not loop.last ? ',' }}
                        {% endfor %}
                    </td>
                  </tr>
                {% endfor %}

              </tbody>
            </table>

          </div>
        </div>

      </div>
    {% endif %}

  </div>
</div>
{% endblock %}
